//	NEBDimensions.swift
//
//	© 2024 by Jeff Weeks
//	See TermsOfUse.txt

//	According to the World Pool Billiards Association's specifications
//
//		https://wpapool.com/equipment-specifications/#Balls-and-Ball-Rack
//
//	the balls should have a diameter of 5.715 cm.
let ballRadius = 0.5 * 0.05715	//	in meters

//	The sites
//
//		https://ask.metafilter.com/108887/What-is-the-diameter-and-taper-of-the-butt-section-of-a-pool-cue
//		https://forums.azbilliards.com/showthread.php?t=274523
//
//	say that a cue stick's butt diameter is typically about 1.25 inches ≈ 32 mm.
let cueStickButtRadius = 0.016	//	in meters

//	According to
//
//		http://www.poolandbilliardops.com/billiards-pool-cue-shaft-size-and-fittings/
//
//	a standard cue stick has a tip diameter of about 13 mm.
let cueStickTipRadius = 0.0065	//	in meters

//	According to
//
//		https://ourpastimes.com/different-pool-cue-stick-sizes-5910327.html
//
//	most one-piece in-house cue sticks are 57 inches long (~145 cm),
//	while most two-piece professional cue sticks are 58 inches long (~147 cm).
//	But... such a long cue stick makes it too easy
//	for the Vision Pro to lose sight of the player's grip hand.
//	It's especially problematic if the player tilts their head
//	upward even briefly while aligning the shot, because
//	even after returning their head to its previous position,
//	the Vision Pro won't refocus on the player's hands
//	until the player moves them (which isn't a good thing to do
//	while lining up a shot!). So let's try a super short cue stick,
//	in hopes of keeping the player's hands visible at all times.
let cueStickLength = 0.75								//	in meters
let cueStickTipToGripDistance = 0.8 * cueStickLength	//	in meters

//	The video
//
//		https://www.youtube.com/watch?v=zawNDLP6Hsk
//
//	shows that empirically, when a cue stick strikes a cue ball,
//	the cue ball moves away with about 4/3 of the cue stick's
//	velocity at impact.
let cueStickBounceFactor = 1.33

let pocketRadius = 0.07			//	in meters
let pocketInset = pocketRadius	//	in meters
